# Generated from duodealer_api-1.0.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name duodealer_api

Name: rubygem-%{gem_name}
Version: 1.0.0
Release: 1%{?dist}
Summary: DuodealerAPI is a lightweight gem for accessing the Duo Dealer admin GraphQL web services
License: MIT
URL: http://www.duodealer.com/partners/apps
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.4
# BuildRequires: rubygem(mocha) >= 0.9.8
# BuildRequires: rubygem(webmock)
# BuildRequires: rubygem(minitest) >= 4.0
# BuildRequires: rubygem(timecop)
# BuildRequires: rubygem(rubocop)
# BuildRequires: rubygem(pry)
# BuildRequires: rubygem(pry-byebug)
BuildArch: noarch

%description
The Duo Dealer API gem allows Ruby developers to programmatically access the
admin section of Duo Dealer stores. The API is implemented as JSON or XML over
HTTP using all four verbs (GET/POST/PUT/DELETE). Each resource, like Order,
Product, or Collection, has its own URL and is manipulated in isolation.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.rubocop.yml
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/RELEASING
%{gem_libdir}
%{gem_instdir}/shipit.rubygems.yml
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/.document
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile_ar41
%{gem_instdir}/Gemfile_ar50
%{gem_instdir}/Gemfile_ar51
%{gem_instdir}/Gemfile_ar_master
%{gem_instdir}/Rakefile
%doc %{gem_instdir}/docker-compose.yml
%doc %{gem_instdir}/docs
%{gem_instdir}/duodealer_api.gemspec
%{gem_instdir}/test

%changelog
* Mon Sep 13 2021 mockbuilder - 1.0.0-1
- Initial package
